Create an HTTPS destination for outgoing webhook events. The signing secret is returned only by this operation or an explicit rotation.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
uuidapplication/json
Outgoing webhook destination settings and subscribed event kinds.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/123/webhooks/destinations" \ -H "Content-Type: application/json" \ -d '{ "eventKinds": [ "string" ], "name": "string", "url": "http://example.com" }'{ "createdAt": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "enabled": true, "eventKinds": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "updatedAt": "string", "url": "http://example.com", "secret": "stringstringstri"}1 <= length <= 160uri